Package org.eclipse.ecf.provider.filetransfer.retrieve

# Class HttpHelper

java.lang.Object
org.eclipse.ecf.provider.filetransfer.retrieve.HttpHelper

public class HttpHelper extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`CONTENT_DISPOSITION_HEADER`

## Constructor Summary

Constructors
Constructor
Description
`HttpHelper()`

## Method Summary

Modifier and Type
Method
Description
`static String`
`getRemoteFileNameFromContentDispositionHeader(String headerValue)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### CONTENT_DISPOSITION_HEADER

public static final String CONTENT_DISPOSITION_HEADER

See Also:
  - Constant Field Values

## Constructor Details

### HttpHelper

public HttpHelper()

## Method Details

### getRemoteFileNameFromContentDispositionHeader

public static String getRemoteFileNameFromContentDispositionHeader(String headerValue)